package com.bonus.canteen.core.device.manage.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.Instant;

@Data
public class DeviceMqPersonalUpdateMessageDTO {
   @ApiModelProperty("是否更新人员")
   private Integer updatePerson;
   @ApiModelProperty("是否更新特征值")
   private Integer updatePersonPhoto;
   @ApiModelProperty("是否更新卡信息 1是更新")
   private Integer updateCardStatus;
   @ApiModelProperty("是否有账户余额变动")
   private Integer isAccBalChange;
   @ApiModelProperty("消息生成时间")
   private Long time;
   @ApiModelProperty("是否更新有效期照片1更新")
   private Integer updateValidityPhoto;

   public Long getTime() {
      return Instant.now().toEpochMilli();
   }

   public Integer getUpdatePerson() {
      return this.updatePerson;
   }

   public Integer getUpdatePersonPhoto() {
      return this.updatePersonPhoto;
   }

   public Integer getUpdateCardStatus() {
      return this.updateCardStatus;
   }

   public Integer getIsAccBalChange() {
      return this.isAccBalChange;
   }

   public Integer getUpdateValidityPhoto() {
      return this.updateValidityPhoto;
   }

   public DeviceMqPersonalUpdateMessageDTO setUpdatePerson(final Integer updatePerson) {
      this.updatePerson = updatePerson;
      return this;
   }

   public DeviceMqPersonalUpdateMessageDTO setUpdatePersonPhoto(final Integer updatePersonPhoto) {
      this.updatePersonPhoto = updatePersonPhoto;
      return this;
   }

   public DeviceMqPersonalUpdateMessageDTO setUpdateCardStatus(final Integer updateCardStatus) {
      this.updateCardStatus = updateCardStatus;
      return this;
   }

   public DeviceMqPersonalUpdateMessageDTO setIsAccBalChange(final Integer isAccBalChange) {
      this.isAccBalChange = isAccBalChange;
      return this;
   }

   public DeviceMqPersonalUpdateMessageDTO setTime(final Long time) {
      this.time = time;
      return this;
   }

   public DeviceMqPersonalUpdateMessageDTO setUpdateValidityPhoto(final Integer updateValidityPhoto) {
      this.updateValidityPhoto = updateValidityPhoto;
      return this;
   }




}
